com.opensymphony.xwork2.util

## Class CompoundRoot

- java.lang.Object
- - java.util.concurrent.CopyOnWriteArrayList<Object>
  - - com.opensymphony.xwork2.util.CompoundRoot

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, RandomAccess

      public class CompoundRoot
      extends CopyOnWriteArrayList<Object>

  A Stack that is implemented using a List.
  Version:
    $Revision$
  Author:
    plightbo
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompoundRoot()`
    `CompoundRoot(List<?> list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompoundRoot` | `cutStack(int index)`
    `Object` | `peek()`
    `Object` | `pop()`
    `void` | `push(Object o)`

    - ### Methods inherited from class java.util.concurrent.CopyOnWriteArrayList

      `add, add, addAll, addAll, addAllAbsent, addIfAbsent, clear, clone, contains, containsAll, equals, forEach, get, hashCode, indexOf, indexOf, isEmpty, iterator, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### CompoundRoot

          public CompoundRoot()

    - #### CompoundRoot

          public CompoundRoot(List<?> list)

  - ### Method Detail

    - #### cutStack

          public CompoundRoot cutStack(int index)

    - #### peek

          public Object peek()

    - #### pop

          public Object pop()

    - #### push

          public void push(Object o)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.